%define		modulename pam_apparmor
Summary:	PAM module to add AppArmor change_hat functionality
Summary(pl.UTF-8):	Moduł PAM dodający funkcjonalność AppArmor change_hat
Name:		pam-%{modulename}
Version:	3.0.1
Release:	1
Epoch:		1
License:	BSD or GPL
Group:		Base
Source0:	http://launchpad.net/apparmor/3.0/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	e05eab22bdd1dfc64854856a7292cf09
URL:		http://wiki.apparmor.net/
BuildRequires:	libapparmor-devel >= 1:%{version}
BuildRequires:	pam-devel
Requires:	libapparmor >= 1:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pam_apparmor module provides the means for any PAM applications
that call pam_open_session() to automatically perform an AppArmor
change_hat operation in order to switch to a user-specific security
policy.

%description -l pl.UTF-8
Moduł pam_apparmor daje możliwość każdej aplikacji PAM wywołującej
pam_open_session() automatycznie wykonać operację AppArmor change_hat
w celu przełączenia na specyficzną dla użytkownika politykę
bezpieczeństwa.

%prep
%setup -q -n apparmor-%{version}

%build
%{__make} -C changehat/pam_apparmor \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	CC="%{__cc}" \
	USE_SYSTEM=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C changehat/pam_apparmor install \
	SECDIR=$RPM_BUILD_ROOT/%{_lib}/security \
	USE_SYSTEM=1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changehat/pam_apparmor/{COPYING,README}
%attr(755,root,root) /%{_lib}/security/pam_apparmor.so
%changelog
* Wed Feb 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_apparmor.git;a=log;h=master

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 59d2960
- up to 3.0.1

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 110a48d
- updated to 2.13.4

* Tue Jul 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> f34ae1d
- up to 2.13.3

* Mon Mar 18 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d7e80bc
- up to 2.13.2

* Thu Apr 19 2018 Jakub Bogusz <qboosh@pld-linux.org> a32434a
- updated to 2.13
- use upstream install process

* Sat Jan 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 520f21e
- up to 2.12

* Fri Oct 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 30a521d
- up to 2.11.1

* Sun Apr 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 2ff5b40
- updated to 2.11.0

* Mon Apr 25 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7cc5c95
- up to 2.10.1

* Sun Sep 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 22cb40f
- updated to 2.10

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> c110026
- updated to 2.9.2

* Sat Mar 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 132cfcc
- up to 2.9.1

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> eca68e2
- updated to 2.9.0

* Mon Feb 24 2014 Jakub Bogusz <qboosh@pld-linux.org> f56c047
- updated to 2.8.3

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 44525f7
- up to 2.8.2

* Fri Jan 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ef4543
- up to 2.8.1

* Thu Jun 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b0e322
- up to 2.8.0

* Sat Apr 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 0e8d533
- versioned runtime dependency on libapparmor

* Sat Apr 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 1b3539a
- License is dual (BSD/GPL); package COPYING containing BSD license text
- libapparmor epoch

* Thu Apr 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ef45c0f
- up to 2.7.2

